Subject: Re: bug#72257: Non-English manuals for 1.4.0 are unavailable

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 25 Jul 2024 14:41:21 +0200

Could someone knowledgeable in maintenance.git in
hydra/modules/sysadmin/web.scm change the guix-extensions to use an
older guix package earlier than June 2024, such as guix version 1.4.0?

I try

((options->transformation '((with-commit . "guix=v1.4.0"))) guix)

but could it be made to get a [email-masked] with substitutes instead?

Or should it define a new [email-masked] package with (package (inherit
guix))?

Should it look more like how guix.git’s guix/scripts/time-machine.scm
uses old guix?

Then the doc/build.scm would again @@ out to a (guix self) module that
does not require po4a.cfg, which is not yet present when building old
guix’s manual.

Regards,
Florian